ChangeSet 1.1587.12.16, 2004/04/29 15:50:22-07:00, eike-hotplug@sf-tec.de

[PATCH] ACPI PCI Hotplug: use new style of module parameters

This one converts acpiphp_core.c to use the new interface for module
parameters.


 drivers/pci/hotplug/acpiphp_core.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/drivers/pci/hotplug/acpiphp_core.c b/drivers/pci/hotplug/acpiphp_core.c
--- a/drivers/pci/hotplug/acpiphp_core.c	Mon May 17 17:06:11 2004
+++ b/drivers/pci/hotplug/acpiphp_core.c	Mon May 17 17:06:11 2004
@@ -32,6 +32,7 @@
 
 #include <linux/init.h>
 #include <linux/module.h>
+#include <linux/moduleparam.h>
 
 #include <linux/kernel.h>
 #include <linux/pci.h>
@@ -58,8 +59,8 @@
 MODULE_AUTHOR(DRIVER_AUTHOR);
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL");
-MODULE_PARM(debug, "i");
 MODULE_PARM_DESC(debug, "Debugging mode enabled or not");
+module_param(debug, bool, 644);
 
 static int enable_slot		(struct hotplug_slot *slot);
 static int disable_slot		(struct hotplug_slot *slot);
